# -*- coding:UTF-8 -*-

from db.mod_db import DataBase
from common.sql_utils import to_sql_in


class ProvideDao:
    def __init__(self, db=None):
        if db is None:
            self.dataBase = DataBase()
        else:
            self.dataBase = db

    # def select(self):
    #     return self.dataBase.fetch_all(
    #         "select * from `tj_provide_company` where provide_status is null limit 100")
    def select(self):
        return self.dataBase.fetch_all(
            'SELECT * FROM `tj_provide_company` WHERE standard_company_name IN ("一鸣到家科技(北京)有限公司","上海予萌贸易有限公司","上海占圣智能科技有限公司","上海哲数科技有限公司","上海拓欧投资有限公司","上海数巧信息科技有限公司","上海欣田贸易有限公司","上海航骋机电工程有限公司","上海艾洛创意设计有限公司","上海蓝座网络科技有限公司","上海钊孚实业有限公司","上海霍谱斯实业有限公司","世纪立达(北京)投资基金管理有限公司","东莞市了天电子商务有限公司","东莞市五宇隆商贸有限公司","东莞市极客狮户外运动用品有限公司","东莞市澳龙防静电制品有限公司","东莞市益曼达新材料有限公司","东莞市铁人服饰有限公司","中山星渊电子商务科技有限公司","中山自信照明科技有限公司","义乌市博友渔具有限公司","义乌市楚谣电子商务有限公司","义乌市维石电子商务有限公司","乐益惠(北京)咨询有限公司","二甲子生命科技(北京)有限公司","云南古寨茶叶有限公司","云南曲靖塑料(集团)有限公司","云南美清茶叶有限公司","云南茗星号茶业有限公司","亳州市华佗酒业有限公司","佛山十二色贸易有限公司","佛山市力诚乐器有限公司","佛山市联克智控科技有限公司","佛山市顺德区度恩电子商务有限公司","佛山科棱照明有限公司","信德铭源投资(北京)有限公司","元丰天成(北京)标识有限公司","内蒙古捷怡种子有限公司","凡鱼传媒(北京)有限公司","凤庆田夫科技有限公司","劲膳美食品股份有限公司","北京中融祥泰投资管理有限公司","北京乐享方登网络科技股份有限公司","北京亮眼云视科技有限公司","北京亿讯易达科技有限公司","北京什格网络科技有限公司","北京佩萨称重技术有限公司","北京健安溯源科技有限公司","北京兰云科技有限公司","北京刷刷看网络科技有限公司","北京勤拙咨询服务有限公司","北京千乐咨询服务有限公司","北京千竹惠品商贸有限公司","北京升平宝旭文化传播有限公司","北京博泓微晨科技有限公司","北京博泰克仪器设备有限公司","北京博睿思远网络科技有限公司","北京启步未来教育科技有限公司","北京呆呆文化传播有限公司","北京喔优科技有限公司","北京国脉信安科技有限公司","北京大安视界科技有限公司","北京天信华洋制冷设备有限公司","北京天润轩橡胶制品有限公司","北京天睿视迅科技有限公司","北京宇华先锐科技有限公司","北京尚德在线教育科技有限公司","北京展云互联科技有限公司","北京岗域科技有限公司","北京彼得潘贸易有限公司","北京很懂你科技有限公司","北京微企互联信息科技有限公司","北京微火科技有限公司","北京想象颗粒文化传媒有限公司","北京我们啊我们科技有限公司","北京我新鲜健康科技有限公司","北京扬亚机电设备有限公司","北京新网视信传媒科技有限公司","北京易居未来科技有限公司","北京晋美文化科技有限公司","北京智云寰球物联网科技有限公司","北京未来星宇电子商务有限公司","北京正知教育科技有限公司","北京汇享合一信息技术有限公司","北京汇集网通科技有限公司","北京沐程阳光生物技术有限公司","北京深谋财富投资管理有限公司","北京源甄一品健康科技有限公司","北京瀚洋兴业科技有限公司","北京环创企业管理顾问有限公司","北京百字千节信息技术有限公司","北京盈享力餐饮管理有限公司","北京知行合一阳明教育研究院","北京码狼时代网络科技有限公司","北京福禄科技发展有限公司","北京立欧时尚商贸有限公司","北京索普兴大医药研究有限公司","北京红书科技有限公司","北京纵横星享科技有限公司","北京美锐科技有限公司","北京考高科技有限公司","北京自在通达文化有限公司","北京臻唐国际旅行社有限公司","北京芮城科技有限公司","北京豆伴网络科技有限公司","北京车好好科技有限公司","北京鑫合至源科技有限公司","北京锦理文化传播有限公司","北京霖德科技有限公司","北京韦尔科技有限公司","北京风林国际旅行社有限公司","北京龙洲科技发展有限责任公司","北京龙观科技有限公司","南京云羿互联科技有限公司","南京伊莎贝尔首饰有限公司","南京名都智能科技有限公司","南京宁汇智能科技有限公司","南京小民网络科技有限公司","南京智神星网络科技有限公司","南京艾泰克物联网科技有限公司","南充远卓教育咨询有限公司","南宁市大白光影文化传播有限公司","南昌文安信息产业有限公司","南通千马贸易有限公司","南通莎莉嘉家居有限公司","南阳艾悠悠生物科技有限公司","卡本复合材料(天津)有限公司","吃什么(北京)科技有限公司","合心医疗科技(深圳)有限公司","吉林省帮我贷信息技术有限公司","喀什鑫什塑料制品有限公司","嘉兴市白檀贸易有限公司","嘉善精业特种金属材料有限公司","四川书写人生科技有限公司","四川天汇科技有限公司","四川梓沐教育科技有限公司","四川欣芸科技有限公司","四川猫熊家族文化传播有限公司","城市元素(北京)科技有限公司","大连锦富通商贸有限公司","天津中科物联科技有限公司","威海莱贝数码科技有限公司","宁波光谷智能科技有限公司","宁波海潮信息科技有限公司","宅生活(北京)科技有限公司","安徽省茗抱春茶业有限公司","宜昌天成果园电子商务有限公司","宝物(北京)科技有限责任公司","小立教育科技(北京)有限公司","小艾帮帮(杭州)科技有限公司","尚层文化科技(广州)有限公司","山东心师网络科技有限公司","山东海恒物业服务有限公司","山东皓之源环保科技有限公司","山东邦泽信息技术服务有限公司","山南水北(北京)商贸有限公司","山西安信恒创机器人技术有限公司","山西致远慧同科技有限公司","巴法科技(深圳)有限公司","帝聘信息科技江苏有限公司","常州创能电力科技有限公司","平方和(北京)科技有限公司","广东初恋服饰贸易有限公司","广东明宣电子科技有限公司","广州九润生物科技有限公司","广州八通文化传播有限公司","广州凯为贸易有限公司","广州千人千面互联网科技有限公司","广州哆唻咪信息科技有限公司","广州孚安营养科技有限公司","广州客来啦贸易有限公司","广州尚南贸易有限公司","广州市信洋电子科技发展有限公司","广州市彩兔网络科技有限公司","广州市玖指鸟贸易有限公司","广州形黛服饰有限公司","广州慧元真船舶科技有限公司","广州方为电子科技有限公司","广州星火文化体育发展有限公司","广州游止网络科技有限公司","广州码酷网络科技有限公司","广州硕悦进出口有限公司","广州络众引科技有限公司","广西云慧融科技有限公司","广西背背乐教育科技有限公司","康桥(深圳)科技股份有限公司","强魏飚唐(上海)智能科技有限公司","思戈(上海)工业设备有限公司","悦探(北京)商贸有限公司","成都快乐玩伴科技有限公司","成都新颖仲国影视传媒有限公司","成都简琪企业管理咨询有限公司","新乡市中汇过滤技术有限公司","新疆旭诺康医疗器械有限公司","新疆智辰天林信息科技有限公司","昆明缔造科技有限公司","星利保险经纪有限公司","未来博观(北京)教育科技有限公司","杭州拼便宜网络科技有限公司","杭州捷途慧声科技有限公司","杭州校果网络科技有限责任公司","杭州物安互联科技有限公司","杭州玖彩芸科技有限公司","杭州莫马文化创意有限公司","杭州蒂莫西服饰有限公司","杭州贝它科技有限公司","杭州远创新智信息技术有限公司","杭州钱畅科技有限公司","杭州阔迹电子商务有限公司","极致目标(北京)文化传媒有限公司","武汉新麦科技有限公司","武汉炬象科技有限公司","武汉网明无障碍科技有限公司","武汉颂游科技有限公司","汕头市金正嘉文化传播有限公司","江苏佳芈工贸有限公司","河北品宏电子商务有限公司","河北商天下电子商务股份有限公司","河北常山凯络尼特生物技术有限公司","河北康灵医药科技有限公司","河北晓坤网络科技有限公司","河北陶唐进出口贸易有限公司","河南信易付科技有限公司","河南格威特环保发展有限公司","河南瀚森信息技术有限公司","河南盛千春网络科技有限公司","河南联联互娱电子商务有限公司","泰州市讯峰商贸有限公司","济南曰洱文化传播有限公司","浙江即享科技有限公司","淮安中德汽车维修有限公司","深圳中智选信息技术有限公司","深圳二十四小时科技有限公司","深圳力锐品牌策划有限公司","深圳学友科技有限公司","深圳市亿天联科技有限公司","深圳市全球芯科技有限公司","深圳市华莱士胶粘剂有限公司","深圳市双子工业产品设计有限公司","深圳市启创腾电子有限公司","深圳市奇唯世纪科技有限公司","深圳市小安电子有限公司","深圳市尚海贸易有限公司","深圳市巨华实业有限公司","深圳市康轩电子科技有限公司","深圳市微斯迈科技有限公司","深圳市思创智燃信息技术有限公司","深圳市斯度尔工程有限公司","深圳市方舟云数信息科技有限公司","深圳市无忧网购贸易有限公司","深圳市松堡王国家居有限公司","深圳市波心幻海科技有限公司","深圳市烛影飘香蜡艺有限公司","深圳市珀威尔科技有限公司","深圳市睿云新数字媒体有限公司","深圳市科新宝电子有限公司","深圳市美善优培教育培训管理有限公司","深圳市胜倍数码科技有限公司","深圳市蛮荒科技研发有限公司","深圳市蜘蛛在线信息技术有限公司","深圳市赛欧新媒体科技有限公司","深圳市迈诺腾飞科技有限公司","深圳市遥想艺术装饰设计工程有限公司","深圳市金翠花珠宝网络科技股份有限公司","深圳市银星玻璃有限公司","深圳市陕农科技有限公司","深圳市青禾美妆有限公司","深圳康嘉盛世科技有限公司","深圳康妮进出口有限公司","深圳惠养车科技有限公司","深圳朗悦生物科技有限公司","深圳澳美力科技有限公司","深圳灵光一秒广告有限公司","深圳矽乐科技有限公司","深圳红客联盟科技有限公司","深圳高能倍力有限公司","湖南中投智慧物联科技有限公司","湖南优享美农农业有限公司","湖州慧心谷酒店管理有限公司","漯河市亚如电子商务有限公司","珠海东方神秘科技有限公司","珠海横琴新区圆梦企业管理有限公司","珠海融惠科技有限公司","石家庄天联科技有限公司","石家庄黑眼袋袋商贸有限公司","福州众源鑫艺文化传媒有限公司","福州信天达反光材料有限公司","福州掌易信息科技有限公司","福建盛腾网络科技有限公司","续科天下(北京)科技有限公司","脉格信息技术(北京)有限公司","苏州悦雅信息技术有限公司","苏州晟农电子有限公司","苏州欣家园化学科技有限公司","苏州珑禧餐饮管理有限公司","苏州逆风飞翔网络科技有限公司","襄阳润元电子商务有限公司","西安寻金探宝商务咨询有限责任公司","西安易营信息科技有限公司","财富之本网络科技有限公司","贯通云网(北京)信息技术有限公司","贵州宏福佳洁环保科技有限公司","贵州数通科技有限公司","贵州智游云科技发展有限公司","贵州聚控科技有限公司","贵州诚达金源科技有限公司","赤峰新虎科技有限公司","辉南县浩源燃气设备有限公司","辰澜(上海)文化传播有限公司","遇见花开(北京)科技有限公司","郑州枫美泊悦进出口贸易有限公司","都学网络科技(北京)有限公司","重庆桐美溪商贸有限公司","金华市炫茗电子商务有限公司","鑫豪(北京)商业投资管理有限公司","镇江大小创意文化传播有限公司","长春市佰信电子商务有限公司","长沙易索丽皮具护理有限公司","隐贤(北京)酒店管理有限公司","青岛中海川达科技发展有限公司","青岛德汇油品有限公司","青岛慢时光生物科技有限公司","青岛西扯网络科技有限公司","青岛领客文化传播有限公司","音特新雅数字科技(北京)有限公司","鼎视智慧(北京)科技有限公司","德塔科技有限公司","杭州海市蜃楼电子商务有限公司","西安至爱兰茉餐饮管理有限公司","杭州空生妙有企业管理咨询有限公司","华星中波(北京)矿用设备及工具有限公司","北京博康姆信息技术有限公司","肇庆市北山智汇企业管理有限公司") order by create_time desc')

    def update_status(self, company_list):
        # print(" update tj_provide_company set provide_status = 1 where id in (%s)" % to_sql_in(company_list))
        self.dataBase.update(
            " update tj_provide_company set provide_status = 1 where id in (%s)" % to_sql_in(company_list), None)

    def select_id(self, business_id):
        return self.dataBase.fetch_all(
            "select * from `tj_product_depth_final` where business_opportunity_id = '%s' " % (business_id))
